Skip to main content
PATCH
/
drafts
/
{id}
cURL
curl --request PATCH \
  --url https://api.sentvia.ai/v1/drafts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inbox_id": "<string>",
  "to": [
    "<string>"
  ],
  "subject": "<string>",
  "text": "<string>",
  "html": "<string>",
  "reply_to_message_id": "<string>",
  "scheduled_at": "<string>"
}
'
{
  "id": "<string>",
  "inbox_id": "<string>",
  "subject": "<string>",
  "status": "<string>",
  "scheduled_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
inbox_id
string
required
to
string[]
subject
string
text
string
html
string
reply_to_message_id
string
scheduled_at
string

Response

200 - application/json

OK

id
string
inbox_id
string
subject
string | null
status
string
scheduled_at
string | null